Agora Java API Reference for Android

Public Attributes | List of all members
io.agora.rtc2.live.LiveTranscoding.TranscodingUser Class Reference

Transcoding configurations of each host. More...

## Public Attributes
int | uid
String | userId
int | x
int | y
int | width
int | height
int | zOrder
float | alpha
int | audioChannel

## Detailed Description

Transcoding configurations of each host.

## Member Data Documentation

## ◆ uid

int io.agora.rtc2.live.LiveTranscoding.TranscodingUser.uid

The user ID of the host.

## ◆ x

int io.agora.rtc2.live.LiveTranscoding.TranscodingUser.x

The x coordinate (pixel) of the host's video on the output video frame (taking the upper left corner of the video frame as the origin). The value range is [0, width], where width is the `width` set in `LiveTranscoding`.

## ◆ y

int io.agora.rtc2.live.LiveTranscoding.TranscodingUser.y

The y coordinate (pixel) of the host's video on the output video frame (taking the upper left corner of the video frame as the origin). The value range is [0, height], where height is the `height` set in `LiveTranscoding`.

## ◆ width

int io.agora.rtc2.live.LiveTranscoding.TranscodingUser.width

The width (pixel) of the host's video.

## ◆ height

int io.agora.rtc2.live.LiveTranscoding.TranscodingUser.height

The height (pixel) of the host's video.

## ◆ zOrder

int io.agora.rtc2.live.LiveTranscoding.TranscodingUser.zOrder

The layer index number of the host's video. The value range is [0, 100].

- 0: (Default) The host's video is the bottom layer.
- 100: The host's video is the top layer.
  Note
- If the value is less than 0 or greater than 100, `ERR_INVALID_ARGUMENT` error is returned.
- Setting zOrder to 0 is supported.

## ◆ alpha

float io.agora.rtc2.live.LiveTranscoding.TranscodingUser.alpha

The transparency of the host's video. The value range is [0.0,1.0].

- 0.0: Completely transparent.
- 1.0: (Default) Opaque.

## ◆ audioChannel

int io.agora.rtc2.live.LiveTranscoding.TranscodingUser.audioChannel

The audio channel used by the host's audio in the output audio. The default value is 0, and the value range is [0, 5].

- `0`: (Recommended) The defaut setting, which supports dual channels at most and depends on the upstream of the host.
- `1`: The host's audio uses the FL audio channel. If the host's upstream uses multiple audio channels, the Agora server mixes them into mono first.
- `2`: The host's audio uses the FC audio channel. If the host's upstream uses multiple audio channels, the Agora server mixes them into mono first.
- `3`: The host's audio uses the FR audio channel. If the host's upstream uses multiple audio channels, the Agora server mixes them into mono first.
- `4`: The host's audio uses the BL audio channel. If the host's upstream uses multiple audio channels, the Agora server mixes them into mono first.
- `5`: The host's audio uses the BR audio channel. If the host's upstream uses multiple audio channels, the Agora server mixes them into mono first.
- `0xFF` or a value greater than `5`: The host's audio is muted, and the Agora server removes the host's audio.
  Note
    If the value is not `0`, a special player is required.